using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;

namespace TreeView_tooltip
{
    public partial class Form1 : Form
    {
        private Syncfusion.Windows.Forms.ToolTipAdv toolTipAdv1;

       
        public Form1()
        {
            InitializeComponent();
            this.toolTipAdv1 = new Syncfusion.Windows.Forms.ToolTipAdv(this.treeViewAdv2);
            this.toolTipAdv1.Text = "Profit && loss";
            this.treeViewAdv2.ToolTipControl.BeforePopup += new CancelEventHandler(Tooltip_BeforePopup); 
            
        }

        

        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            this.toolTipAdv1.HidePopup();
        }

        private void treeViewAdv2_MouseHover(object sender, EventArgs e)
        {
            TreeNodeAdv node = new TreeNodeAdv();
            Point p = this.treeViewAdv2.PointToClient(Control.MousePosition);

            node = this.treeViewAdv2.PointToNode(p);
            Point mouseLoc = Control.MousePosition;
            mouseLoc.Offset(10, 10);

            if (node == this.treeViewAdv2.Nodes[4])
            {

                
                
                this.toolTipAdv1.ShowPopup(mouseLoc);
            }

           
        }


        private void Tooltip_BeforePopup(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
        } 
        
    }
}